Bug 804117 - Unexpected WARN message in Agent log on clean install
Unexpected WARN message in Agent log on clean install
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.1.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-03-16 11:04 EDT by Mike Foley
Modified: 2013-09-03 11:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 11:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
agent log file (32.56 KB, text/x-log)
2012-03-16 11:04 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2012-03-16 11:04:45 EDT
Created attachment 570631 [details]
agent log file

Description of problem:  Unexpected WARN message in Agent log on clean install 


Version-Release number of selected component (if applicable):  RHQ 4.4


How reproducible:


Steps to Reproduce:
1.  clean install
2.  start agent
3.  review agent log file 
  
Actual results:  WARN messages in agent log file


Expected results:  no alarming WARN messages in Agent log file on clean install


Additional info:  this could alarm customers.  this was a clean install.  


2012-03-16 11:01:06,564 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Starting to activate (and upgrade) resources.
2012-03-16 11:01:06,573 WARN  [main] (rhq.core.pc.inventory.InventoryManager)- RESOURCE ID IS 0! Operation features may not work - resource needs to be synced with server
2012-03-16 11:01:06,573 WARN  [main] (rhq.core.pc.inventory.InventoryManager)- RESOURCE ID IS 0! Content features may not work - Resource needs to be synced with server
2012-03-16 11:01:06,575 WARN  [main] (rhq.core.pc.inventory.InventoryManager)- RESOURCE ID IS 0! Operation features may not work - resource needs to be synced with server
2012-03-16 11:01:06,575 WARN  [main] (rhq.core.pc.inventory.InventoryManager)- RESOURCE ID IS 0! Content features may not work - Resource needs to be synced with server
2012-03-16 11:01:06,578 INFO  [ResourceContainer.invoker.daemon-1] (org.rhq.plugins.platform.LinuxPlatformComponent)- Internal yum server is disabled.
2012-03-16 11:01:06,578 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Inventory activated and upgrade requests gathered in 75ms.
2012-03-16 11:01:06,578 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Sending the upgrade requests to the server.
2012-03-16 11:01:06,579 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Resource activation and upgrade finished.
Comment 1 Mike Foley 2012-03-19 12:18:57 EDT
per BZ triage (asantos, ccrouch, loleary, mfoley)
Comment 2 John Mazzitelli 2012-04-04 14:33:25 EDT
changing to be INFO message:

   "Resource ID is 0! [Operation|Content] features will not work until the resource is synced with server"

master commit: 8686c77
Comment 3 Sunil Kondkar 2012-04-11 06:24:49 EDT
Verified on build#1303 (Version: 4.4.0-SNAPSHOT Build Number: 74326f0)

Agent log file on clean install displays below as INFO messages:

2012-04-11 15:42:43,149 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Resource ID is 0! Operation features will not work until the resource is synced with server
2012-04-11 15:42:43,150 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Resource ID is 0! Content features will not work until the resource is synced with server
2012-04-11 15:42:43,152 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Resource ID is 0! Operation features will not work until the resource is synced with server
2012-04-11 15:42:43,152 INFO  [main] (rhq.core.pc.inventory.InventoryManager)- Resource ID is 0! Content features will not work until the resource is synced with server
Comment 4 Heiko W. Rupp 2013-09-03 11:07:34 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.